## mgraph 1.0

=== DESCRIPTION ===
Package: mgraph
Type: Package
Title: Graphing map attributes and non-map variables in R
Version: 1.0
Date: 2012-01-10
Author: George Owusu <owusugeorge@ug.edu.gh>
Maintainer: George Owusu <owusugeorge@ug.edu.gh>
Depends: rgdal (>= 0.5.2)
suggests: gstat
Description: Each function in the package performs three main functions
        i) it reads spatial data and produces basic graphs including
        pie chart, bar chart, box plots, histogram, scatter plots, and
        lines ii)it reads non-spatial data such as "csv", "txt", "dat"
        data and produces basic graphs and iii) it plots map(s) of the
        input attribute(s) of spatial data by setting "type" parameter
        to "map"
URL: http://www.ug.edu.gh/index1.php?linkid=616&sectionid=919&page=2
License: GPL (>= 2.0)
Packaged: 2012-01-16 09:29:12 UTC; george
Repository: CRAN
Date/Publication: 2012-01-16 12:41:32

## mgraph 0.0.1-2

=== debian/changelog ===
mgraph (0.0.1-2) unstable; urgency=low

  * Fixed description.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sat, 20 Mar 2010 20:28:52 +0100

mgraph (0.0.1-1) unstable; urgency=low

  * First release.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Fri, 26 Feb 2010 05:28:52 +0100

=== debian/control ===
Source: mgraph
Section: user/games
Priority: optional
Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
Uploaders: Arek Stopczynski <arek.stopczynski@gmail.com>
Build-Depends: debhelper (>= 5), libdbus-1-dev, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dev
Standards-Version: 3.7.2

Package: mgraph
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-opengl
Description: MGraph game.
 Logical game for Maemo.
XSBC-Bugtracker: arek.stopczynski@gmail.com
XB-Maemo-Display-Name: MGraph

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := MGraph
builddir:
#	mkdir -p builddir

builddir/Makefile: builddir
	#cd builddir && /opt/qt4-maemo5/qmake PREFIX=/usr ../$(APPNAME).pro
	#qmake-qt4 PREFIX=/usr $(APPNAME).pro
	#/opt/qt4-maemo5/qmake PREFIX=/usr $(APPNAME).pro
	/opt/qt4-maemo5/bin/qmake-qt4 $(APPNAME).pro 
build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

	install -D ./MGraph $(CURDIR)/debian/mgraph/home/opt/mgraph/MGraph
	mkdir $(CURDIR)/debian/mgraph/home/opt/mgraph/avatars
	mkdir $(CURDIR)/debian/mgraph/home/opt/mgraph/levels
	mkdir $(CURDIR)/debian/mgraph/home/opt/mgraph/levels/mine
	mkdir $(CURDIR)/debian/mgraph/home/opt/mgraph/levels/newest
	mkdir $(CURDIR)/debian/mgraph/home/opt/mgraph/validate
	mkdir $(CURDIR)/debian/mgraph/home/opt/mgraph/images
	install -D ./images/*.* $(CURDIR)/debian/mgraph/home/opt/mgraph/images/
	install -D ./mgraph.desktop $(CURDIR)/debian/mgraph/usr/share/applications/hildon/mgraph.desktop
	install -D ./mgraph_logo.png $(CURDIR)/debian/mgraph/usr/share/icons/hicolor/scalable/apps/mgraph.png
							
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mgraph 1.01

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: mgraph
 Type: Package
 Title: Graphing map attributes and non-map variables in R
-Version: 1.0
-Date: 2012-01-10
+Version: 1.01
+Date: 2012-08-22
 Author: George Owusu <owusugeorge@ug.edu.gh>
 Maintainer: George Owusu <owusugeorge@ug.edu.gh>
 Depends: rgdal (>= 0.5.2)
-suggests: gstat
+Suggests: gstat
 Description: Each function in the package performs three main functions
         i) it reads spatial data and produces basic graphs including
         pie chart, bar chart, box plots, histogram, scatter plots, and
@@ -16,6 +16,6 @@
         to "map"
 URL: http://www.ug.edu.gh/index1.php?linkid=616&sectionid=919&page=2
 License: GPL (>= 2.0)
-Packaged: 2012-01-16 09:29:12 UTC; george
+Packaged: 2012-08-22 11:59:11 UTC; george
 Repository: CRAN
-Date/Publication: 2012-01-16 12:41:32
+Date/Publication: 2012-11-13 12:00:16

## mgraph 1.02

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: mgraph
 Type: Package
 Title: Graphing map attributes and non-map variables in R
-Version: 1.01
-Date: 2012-08-22
+Version: 1.02
+Date: 2014-08-17
 Author: George Owusu <owusugeorge@ug.edu.gh>
 Maintainer: George Owusu <owusugeorge@ug.edu.gh>
 Depends: rgdal (>= 0.5.2)
-Suggests: gstat
+Suggests: gstat,MASS
 Description: Each function in the package performs three main functions
         i) it reads spatial data and produces basic graphs including
         pie chart, bar chart, box plots, histogram, scatter plots, and
@@ -16,6 +16,7 @@
         to "map"
 URL: http://www.ug.edu.gh/index1.php?linkid=616&sectionid=919&page=2
 License: GPL (>= 2.0)
-Packaged: 2012-08-22 11:59:11 UTC; george
+Packaged: 2013-04-17 21:39:15 UTC; george
+NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2012-11-13 12:00:16
+Date/Publication: 2013-04-18 07:12:43

## mgraph 1.03

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: mgraph
 Type: Package
 Title: Graphing map attributes and non-map variables in R
-Version: 1.02
-Date: 2014-08-17
+Version: 1.03
+Date: 2013-04-20
 Author: George Owusu <owusugeorge@ug.edu.gh>
 Maintainer: George Owusu <owusugeorge@ug.edu.gh>
 Depends: rgdal (>= 0.5.2)
@@ -16,7 +16,7 @@
         to "map"
 URL: http://www.ug.edu.gh/index1.php?linkid=616&sectionid=919&page=2
 License: GPL (>= 2.0)
-Packaged: 2013-04-17 21:39:15 UTC; george
+Packaged: 2013-04-20 21:18:17 UTC; george
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2013-04-18 07:12:43
+Date/Publication: 2013-04-21 07:39:54
